P=dash
V=0.5.9.1
MAJOR=0
MINOR=0

S="
$P-$V.tar.gz
$P-0.5.9.1-nl-mktemp.patch
"

SHA512="
d56a043b8fab4693d3f70cceb531c37174e7ded4acd5549e53048d7ce29125ff21d7e758f51a4a73e06250d051e246467039989275838c19a2579edea3f72b7d  dash-0.5.9.1.tar.gz
"

build () {
	tar xf $P-$V.tar.gz
	cd $P-$V
	patch -p1 <../$P-0.5.9.1-nl-mktemp.patch
	tr -cs '[:alnum:][:punct:][:space:]' ? <ChangeLog >ChangeLog.ascii
	mv ChangeLog.ascii ChangeLog
	CFLAGS=-O1 ./configure --prefix=/gales/pkg/$Q
	make -j$JOBS
	strip src/dash
}

package () {
	cd $P-$V
	f gales/pkg/$Q/doc/ChangeLog
	cd src
	X gales/pkg/$Q/bin/dash
	f gales/pkg/$Q/man/man1/dash.1
	l gales/pkg/$P $Q
	l gales/command/dash ../pkg/$P/bin/dash
	l gales/doc/dash ../pkg/$P/doc
	l gales/man/dash ../pkg/$P/man
	i "You may wish to symlink /bin/sh to dash as this is not done by default."
}
