P=less
V=487
MAJOR=0
MINOR=0

# Build requires: ncurses

S="
$P-$V.tar.gz http://www.greenwoodsoftware.com/$P/$P-$V.tar.gz
Makefile
defines.h
filename.c
less-487-always-force.patch
less-487-glob-snip.patch
"

SHA512="
d31274fdada570fbc6706d7c52637d1accbd18ce947ec062e10b1624c251a8533c6638bc3a1d89d3c70a0c7b9c6d45740598bec9003f281d64c587b1f829125a  less-487.tar.gz
"

build () {
	tar xzf $P-$V.tar.gz
	chmod -R u+w $P-$V
	cp Makefile defines.h filename.c $P-$V
	cd $P-$V
	rm help.c
	patch -p1 <../less-487-always-force.patch
	patch -p1 <../less-487-glob-snip.patch
	make -j$JOBS
	strip less
}

package () {
	cd $P-$V
	X gales/pkg/$Q/bin/less
	f gales/pkg/$Q/doc/NEWS
	f gales/pkg/$Q/man/man1/less.1 less.nro
	l gales/pkg/$P $Q
	l gales/command/less ../pkg/$P/bin/less
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
