P=pciutils
V=3.5.4
MAJOR=0
MINOR=0

S="
$P-$V.tar.xz http://www.kernel.org/pub/software/utils/$P/$P-$V.tar.xz
"

SHA512="
654f4f761e61eb3ccf92ae2f133d7cb5d963f2605a1e9bbd319d751ff902bdda4b34247c8b3b4f0d640adf6385762a98b0b59e64cab5550d393389141ab632cf  pciutils-3.5.4.tar.xz
"

build () {
	root=$PWD/root
	tar xJf $P-$V.tar.xz
	cd $P-$V
	make DNS=no PREFIX=/gales/pkg/$Q DESTDIR=$root install install-lib
	cd $root/gales/pkg/$Q/
	mv sbin bin
}

package () {
	cd $P-$V
	f gales/pkg/$Q/doc/README
	cd ../root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	l gales/command/lspci ../pkg/$P/bin/lspci
	l gales/command/setpci ../pkg/$P/bin/setpci
	l gales/command/update-pciids ../pkg/$P/bin/update-pciids
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
