P=ucspi-tcp
V=0.88
MAJOR=0
MINOR=1

S="
$P-$V.tar.gz http://cr.yp.to/$P/$P-$V.tar.gz
ucspi-tcp-0.88-errno.patch
doc.sh
"

SHA512="
44efbd477dacf31d39fc970e2d2f74526dc815b905742f6127f0d5c80928ecc7e743089eaab0492386a58d5b97905113fbe8bbc7214ae179b7be27966b7566c7  ucspi-tcp-0.88.tar.gz
"

build () {
	sh doc.sh
	tar xzf $P-$V.tar.gz
	cd $P-$V
	patch -p1 <../ucspi-tcp-0.88-errno.patch
	echo /gales/pkg/$Q >conf-home
	make -j$JOBS
}

package () {
	a gales/pkg/$Q/doc
	cd $P-$V
	f gales/pkg/$Q/doc/README
	f gales/pkg/$Q/doc/CHANGES
	for c in tcpserver tcprules tcprulescheck argv0 recordio tcpclient mconnect-io addcr delcr fixcrio rblsmtpd ; do
		X gales/pkg/$Q/bin/$c
		l gales/command/$c ../pkg/$P/bin/$c
	done
	for c in who@ date@ finger@ http@ tcpcat mconnect ; do
		x gales/pkg/$Q/bin/$c
		l gales/command/$c ../pkg/$P/bin/$c
	done
	l gales/pkg/$P $Q
	l gales/doc/$P ../pkg/$P/doc
}
