P=bison
V=3.0.4
MAJOR=0
MINOR=0

# Build requires: autoconf automake
# Requires: m4?

S="
$P-$V.tar.xz http://ftp.gnu.org/gnu/$P/$P-$V.tar.xz
bison-3.0.4-kill-gettext.patch
bison-3.0.4-kill-help2man.patch
bison-3.0.4-kill-calc++.patch
"

SHA512="
bbdc23e7772e49da1c7c47e66d4e4efbfbfe9b21dbc59bf3ad9a6e573eecac6c9f52c7f11a64be9897e8deb99ef7ba015164aa8232aa391b901dd7db03632412  bison-3.0.4.tar.xz
"

build () {
	root=$PWD/root
	tar xJf $P-$V.tar.xz
	cd $P-$V
	patch -p1 <../bison-3.0.4-kill-gettext.patch
	patch -p1 <../bison-3.0.4-kill-help2man.patch
	patch -p1 <../bison-3.0.4-kill-calc++.patch
	rm Makefile.in aclocal.m4 configure
	autoreconf -fis
	p=/gales/pkg/$Q
	./configure --prefix=$p \
		--datarootdir=$p \
		--docdir=$p/doc
	make -j$JOBS
	make install DESTDIR=$root
	strip $root$p/bin/bison
}

check () {
	return 0
	cd $P-$V
	make check
}

package () {
	cd root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	l gales/command/bison ../pkg/$P/bin/bison
	l gales/command/yacc ../pkg/$P/bin/yacc
	l gales/doc/$P ../pkg/$P/doc
	l gales/info/$P.info ../pkg/$P/info/$P.info
}
