P=bzip2
V=1.0.6
MAJOR=0
MINOR=0

S="
$P-$V.tar.gz http://bzip.org/$V/$P-$V.tar.gz
"

SHA512="
00ace5438cfa0c577e5f578d8a808613187eff5217c35164ffe044fbafdfec9e98f4192c02a7d67e01e5a5ccced630583ad1003c37697219b0f147343a3fdd12  bzip2-1.0.6.tar.gz
"

build () {
	root=$PWD/root
	tar xzf $P-$V.tar.gz
	cd $P-$V
	make -j$JOBS
	make install PREFIX=$root/gales/pkg/$Q
}

package () {
	r=gales/pkg/$Q
	stage=$PWD/root/$r

	cd $stage/bin
	X $r/bin/bzip2
	X $r/bin/bunzip2
	X $r/bin/bzcat
	X $r/bin/bzdiff
	X $r/bin/bzgrep
	X $r/bin/bzip2recover
	X $r/bin/bzmore
	l $r/bin/bzcmp bzdiff
	l $r/bin/bzegrep bzgrep
	l $r/bin/bzfgrep bzgrep
	l $r/bin/bzless bzmore

	cd ../include
	f $r/include/bzlib.h

	cd ../lib
	F $r/lib/libbz2.a

	cd ../man/man1
	for m in *.1; do
		f gales/pkg/$Q/man/man1/$m
	done

	l gales/pkg/$P $Q
	l gales/command/bzip2   ../pkg/$P/bin/bzip2
	l gales/command/bunzip2 ../pkg/$P/bin/bunzip2
	l gales/command/bzcat   ../pkg/$P/bin/bzcat
	l gales/command/bzdiff  ../pkg/$P/bin/bzdiff
	l gales/command/bzgrep  ../pkg/$P/bin/bzgrep
	l gales/command/bzip2recover ../pkg/$P/bin/bzip2receover
	l gales/command/bzmore  ../pkg/$P/bin/bzmore
	l gales/command/bzcmp    ../pkg/$P/bin/bzcmp
	l gales/command/bzegrep  ../pkg/$P/bin/bzegrep
	l gales/command/bzfgrep  ../pkg/$P/bin/bzfgrep
	l gales/command/bzless   ../pkg/$P/bin/bzless
	l gales/man/$P ../pkg/$P/man
}
