P=db
V=4.8.30
MAJOR=0
MINOR=0

S="
db-4.8.30.tar.gz
"

SHA512="
d1a3c52b0ab54ae3fd6792e6396c9f74d25f36b2eb9e853b67ef9c872508a58c784c7818108d06d184f59601b70cc877916e67dfea6f0ee1ca2b07468c1041f1  db-4.8.30.tar.gz
"

build () {
	build=$PWD
	tar xf $P-$V.tar.gz
	cd $P-$V/build_unix
	../dist/configure --prefix=/gales/pkg/$Q --enable-cxx --disable-shared
	make -j$JOBS
	make install DESTDIR=$build/root
}

package () {
	r=gales/pkg/$Q
	cd root/$r
	a $r/bin
	a $r/include
	cd lib
	F $r/lib/libdb.a
	F $r/lib/libdb_cxx.a
	l gales/pkg/$P $Q
	cd ../bin
	for f in *; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
}
