P=flex
V=2.6.1
MAJOR=0
MINOR=0

# Build requires: autoconf automake bison

S="
$P-$V.tar.xz
flex-2.6.1-kill-libtool-gettext.patch
flex-2.6.1-kill-help2man.patch
"

SHA512="
1e35d0447f59139b98ede085d1a603d4f61cf8bc11cf2e291a3f492a05c60ee61535481b878585cd6843cd9b3c7952c834adfa78a6a71c64802e7b3069dec9d1  flex-2.6.1.tar.xz
"

build () {
	root=$PWD/root
	tar xJf $P-$V.tar.xz
	cd $P-$V
	patch -p1 <../flex-2.6.1-kill-libtool-gettext.patch
	patch -p1 <../flex-2.6.1-kill-help2man.patch
	rm configure aclocal.m4
	rm -r m4
	find . -name Makefile.in -exec rm {} +
	autoreconf -fis
	p=/gales/pkg/$Q
	./configure --prefix=$p \
		--datarootdir=$p \
		--docdir=$p/doc
	make -j$JOBS
	make install DESTDIR=$root
	strip $root$p/bin/flex
}

check () {
	cd $P-$V
	echo Tests disabled due to bash requirement
	#make check
}

package () {
	cd root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	l gales/command/flex ../pkg/$P/bin/flex
	l gales/command/flex++ ../pkg/$P/bin/flex++
	l gales/doc/$P ../pkg/$P/doc
	l gales/info/$P.info ../pkg/$P/info/$P.info
}
